Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QMdiArea.ViewMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QMdiArea.ViewMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QMdiArea

    public static final class QMdiArea.ViewMode

extends java.lang.Enum
implements QtEnumerator

This enum describes the view mode of the area; i.e. how sub-windows will be displayed.

See also:
  setViewMode().

See Also:
  Serialized Form

Field Summary
`static QMdiArea.ViewMode` | `SubWindowView` Display sub-windows with window frames (default).
`static QMdiArea.ViewMode` | `TabbedView` Display sub-windows with tabs in a tab bar.

Method Summary
`static QMdiArea.ViewMode` | `resolve(int value)` Returns the QMdiArea$ViewMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMdiArea.ViewMode` | `valueOf(java.lang.String name)`
`static QMdiArea.ViewMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SubWindowView

    public static final QMdiArea.ViewMode SubWindowView

  Display sub-windows with window frames (default).

### TabbedView

    public static final QMdiArea.ViewMode TabbedView

  Display sub-windows with tabs in a tab bar.

Method Detail

### values

    public static QMdiArea.ViewMode[] values()

### valueOf

    public static QMdiArea.ViewMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMdiArea.ViewMode resolve(int value)

  Returns the QMdiArea$ViewMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD